PDA

View Full Version : Openssl 1.1 for SUSE 11 SP3 ?



cisaksen
12-Jan-2015, 21:12
Does anyone know if SUSE is planning to upgrade it's version of openssl to 1.1 to support TLS 1.1 & 1.2 ?

If not, is there a safe path to add openssl 1.1 without breaking anything that SUSE has dependent on openssl 0.98 ?

ab
12-Jan-2015, 21:42
Have you seen this already?

https://www.suse.com/communities/conversations/introducing-the-suse-linux-enterprise-11-security-module/

--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...

cisaksen
12-Jan-2015, 21:55
Ok so if I add this repository and install the newer version of openssl how would I reference this lib in a compile ? Specifically Apache, PHP, and NGINX.

We are using Apache 2.4 & PHP 5.5 (wanted opcache) on servers and nginx on others, all compiled from source. The compiles would find the openssl lib on their own, but with this we would need to specify the location and library directly in the configure params. Just wondering if you knew what the correct lib would be in this case.

Thanks for the article.

cisaksen
12-Jan-2015, 22:10
I tried to followed the "How-to-use" section but the security repository doesn't appear in my list of repos on any of our servers yet we are registered on Customer Care site.

Any ideas ? Happen to know the repo path ?

ab
12-Jan-2015, 22:39
I only know what is in that article. You may want to talk to your account
representative at SUSE to find out more. On the other hand, you may just
want to install SLE 12 as I believe this comes with newer versions of
OpenSSL out of the box.


--
Good luck.

If you find this post helpful and are logged into the web interface,
show your appreciation and click on the star below...